<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
 <xsl:template match="/">
  <html>
   <head>
    <title>CollectionMetaDataFile</title>
   </head>
   <body>
    <center>
     <h4>CollectionMetaDataFile</h4>
    </center>
    <xsl:apply-templates />
   <table border="1">
   <h3> Additional Attributes</h3>
   <tr>
	<th> Name </th>
 	<th> DataType</th>
	<th> Description</th>
   </tr>
   <xsl:for-each select="CollectionMetaDataFile/CollectionMetaData/AdditionalAttributes">
	<tr>
	 <td>
      <xsl:value-of select="AdditionalAttributeName" />
	 </td>
	 <td>
      <xsl:value-of select="AdditionalAttributeDataType" />
	 </td>
	 <td>
      <xsl:value-of select="AdditionalAttributeDescription" />
	 </td>
    </tr>	
   </xsl:for-each>
   </table>
   <br><xsl:text></xsl:text></br>
   <h3> Discipline Topic Parameters </h3>
   <table border="2">
   <tr>
	<th> Discipline Keyword </th>
 	<th> Topic Keyword</th>
 	<th> Term Keyword</th>
	<th> Variable Keyword</th>
	<th> ECS Parameter Keyword</th>
   </tr>
   <xsl:for-each select="CollectionMetaDataFile/CollectionMetaData/DisciplineTopicParameters">
	<tr>
	 <td>
      <xsl:value-of select="DisciplineKeyword" />
	 </td>
	 <td>
      <xsl:value-of select="TopicKeyword" />
	 </td>
	 <td>
      <xsl:value-of select="TermKeyword" />
	 </td>
	 <td>
      <xsl:value-of select="VariableKeyword" />
	 </td>
	 <td>
      <xsl:value-of select="ECSParameterKeyword" />
	 </td>
    </tr>	
   </xsl:for-each>
   </table>
   </body>
  </html>
 </xsl:template>

  <xsl:template match="*">
	<dl>
     <dt>
	  <strong>
        <xsl:value-of select="name()" />
	  </strong>
     </dt>
     <xsl:text>:</xsl:text>
     <xsl:apply-templates />
    </dl>
   </xsl:template>

	
  </xsl:stylesheet>

