<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="xml" version="1.0" encoding="ISO-8859-1" omit-xml-declaration="no" indent="no" media-type="text/html"/>
<xsl:strip-space elements = "*" />
 <xsl:template match="/">
  <html>
   <head>
    <title>MetaData File</title>
   </head>
   <body>
    <center>
     <h4>MetaData File</h4>
    </center>
    <xsl:apply-templates />
   </body>
  </html>
 </xsl:template>

  <xsl:template match="*">
    <div style="margin-left: +10">
    <xsl:choose>
     <xsl:when test="current()/node()">
        <strong>
         <xsl:value-of select="name()" />
        </strong>
     	<xsl:text>:</xsl:text>
     	<xsl:apply-templates />
     </xsl:when>
     <xsl:otherwise>
        <strong>
         <xsl:value-of select="name()" />
     	<xsl:text>:</xsl:text>
        </strong>
     This document does not contain <font color='red'><strong><xsl:value-of select="name()" /> </strong> </font> information that can be displayed.
    </xsl:otherwise>
    </xsl:choose>
    </div>
   </xsl:template>
  </xsl:stylesheet>
